Skip to main content
POST
/
v1
/
file-manager
/
import-from-chunked
/
{chunkedFileId}
Create File Manager File From Chunked File (deprecated)
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/file-manager/import-from-chunked/{chunkedFileId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "engagementId": "<string>",
  "name": "<string>",
  "parentFileManagerEntityId": "<string>"
}
'
{
  "version": 123,
  "engagementId": "<string>",
  "originalName": "<string>",
  "name": "<string>",
  "extension": "<string>",
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "DIRECTORY",
  "parentFileManagerEntityId": "<string>",
  "status": [
    "MODIFIED"
  ],
  "fileInfoId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chunkedFileId
string
required

Body

application/json
engagementId
string
required

Identifies the associated engagement.

name
string
required

The current name of the file, excluding the extension.

parentFileManagerEntityId
string

Identifies the parent directory. If NULL, the directory is positioned at the root level.

Response

201 - application/json

Created

version
integer<int64>
required

Data integrity version to ensure data consistency.

engagementId
string
required

Identifies the associated engagement.

originalName
string
required

The name of the file as it appeared when first imported, including the extension.

name
string
required

The current name of the file, excluding the extension.

extension
string
required

The suffix used at the end of the file.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

type
enum<string>

Indicates whether the object is a DIRECTORY or a FILE.

Available options:
DIRECTORY,
FILE
parentFileManagerEntityId
string

Identifies the parent directory. If NULL, the directory is positioned at the root level.

status
enum<string>[]

The status of the file as it appears in MindBridge.

Available options:
MODIFIED,
ROLLED_FORWARD
fileInfoId
string

Identifies the associated file info.